Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyRootDocBuilder

- org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRootDocBuilder (GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `buildTree(List<String> filenames)`
    `Map<String, GroovyClassDoc>` | `getClassDocsFromSingleSource(String packagePath, String file, String src)`
    `GroovyRootDoc` | `getRootDoc()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)

  - ### Method Detail

    - #### public void buildTree(List<String> filenames)

    - #### public Map<String, GroovyClassDoc> getClassDocsFromSingleSource(String packagePath, String file, String src)

    - #### public GroovyRootDoc getRootDoc()